<script>
	import config from './config'
	import store from '@/store'
	import {
		getToken
	} from '@/utils/auth'
	import {
		getVersions
	} from '@/utils/handlerColor.js'
	export default {
		onLaunch: function() {

			this.initApp()
		},
		methods: {
			// 初始化应用
			initApp() {
				// 初始化应用配置
				this.initConfig()
				// 检查用户登录状态
				//#ifdef H5
				this.checkLogin()
				//#endif
			},
			async initConfig() {
				this.globalData.config = config
				//版本验证
				const version = await getVersions()
				const systemData = this.$u.sys()

			},
			checkLogin() {
				if (!getToken()) {
					this.$tab.reLaunch('/pages/login')
				}
			}
		}
	}
</script>

<style lang="scss">
	@import "uview-ui/index.scss";
	@import '@/static/scss/index.scss'
</style>